@import url('https://fonts.googleapis.com/css2?family=Sora:wght@100..800&display=swap');

@keyframes fadeIn {
  from { opacity: 0; transform: translateY(300px); }
  to { opacity: 1; transform: translateY(0); }
}

@keyframes fadeInScroll {
  from { 
    opacity: 0;
    transform: translateY(60px); 
  }
  to { 
    opacity: 1;
    transform: translateY(0);
  }
}

.scroll-animate-up {
    opacity: 0;
    transform: translateY(60px);
    transition: all 0.8s ease-out;
  }
  
  .scroll-animate-up.animated {
    opacity: 1;
    transform: translateY(0);
  }

:root {
    --main-font: "Sora", sans-serif;       

    --color-1: #253141;
    --color-2: #7a7c77;
    --color-3: hsl(225, 51%, 15%);
    --color-4: hsl(0, 5%, 89%);

    --text-color-black: var(--color-3);
    --text-color: var(--color-1);
    --background-color: var(--color-4);    
    --acent-color: var(--color-2);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: var(--main-font);
    color: var(--text-color-black);
    background-color: var(--background-color);
    margin: 0;
    padding: 0 5rem; /* 👈 Adicionei essa linha para espaçamento lateral global */
}

#projects {
    padding-left: 1rem;
    padding-right: 1rem;
  }

/*TRANSITION*/

a,
.btn {
    transition: all 300ms ease;    
}

/* ANIMATION*/

.scroll-animate {
  opacity: 0;
  animation-fill-mode: both;   
}

.scroll-animate.animated {
  animation: fadeIn 1s ease-out forwards;
}    

.contact-details-container.scroll-animate {
  animation-delay: 0.4s;
}

.profile-text-container .scroll-animate {
  animation-delay: 0.2s;
}

/*NAVIGATION (botões primários)*/

nav,
.nav-links {
    display: flex;
    justify-content: center; /* posição dos boões */
}

nav {
    justify-content: center;
    align-items: center;
    height: 8vh;
    margin: auto;   /* margem dos botões primários */
    z-index: 2;

}

.nav-links {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
    list-style: none;
    width: 100%;
    max-width: 100%;
    margin: 0 auto;
    padding: 0.5rem 1rem;
    background-color: rgba(255, 255, 255, 0.92);
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
}

a {    
    text-decoration: none;
    text-decoration-color: var(--background-color);
    display: inline-block;
    font-weight: 600;
    color: var(--text-color-black);
}

a:hover {
    text-decoration: line-through;
}


/*HAMBURGER MENU*/

/*#hamburger-nav {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding: 1rem 0;
}

.hamburger-menu {
    position: relative;
    display: inline-block;
    z-index: 5;
}

.hamburger-icon {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 22px;
    width: 40px; /* grossura das 3 linhas 
    cursor: pointer;

}

.hamburger-icon span {
    width: 100%;
    height: 2px; /* negrito das 3 linhas 
    background-color: var(--text-color-black);
    transition: all 0.3 ease-in-out;
}

.menu-links {
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    width: auto;
    background-color: rgba(255, 255, 255, 0.95);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    padding: 1rem;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
}


.menu-links a {
    display: block;
    padding: 10px;
    text-align: center;     
    text-decoration: none;
    transition: all 0.3 ease-in-out;background-color: var(--color-3);
}

.menu-links li {
    list-style: none;
}

.menu-links.open {
    max-height: 300px;
}

.hamburger-icon.open span:first-child {
    transform: rotate(45deg) translate(10px, 5px);
}

.hamburger-icon.open span:nth-child(2) {
    opacity: 0;
}

.hamburger-icon.open span:last-child {
    transform: rotate(-45deg) translate(10px, -5px);
}*/

.hamburger-icon span:first-child {
    transform: none;
}

.hamburger-icon span:first-child {
    opacity: 1;
}

.hamburger-icon span:first-child {
    transform: none;
}

/*SECTIONS*/

#hero,
#projects {
   margin-bottom: 4rem;
   /* height: 95vh;    */
   min-height: fit-content;
   overflow: hidden;
}

.section-title {
    font-size: 2rem;    
    margin-bottom: 2.5rem;
    text-decoration: underline;
    text-underline-offset: 0.5rem;
}

/* HERO SECTION*/

#hero {
    position: relative;
    width: calc(100% + 12rem);
    margin-left: -6rem;
    margin-right: -6rem;
    padding-top: 0;
    height: 100vh;
    min-height: fit-content;
    z-index: 1;
    background-image: url(assets/FundoDesktop.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;

}

.hero-content {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;  /* horizontal */
    align-items: center;      /* vertical */
    padding: 0 1rem;
}

.profile {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
    padding: 0;
}

.profile-text-container {
    max-width: 500px;
    width: 100%;
    padding: 2rem;
    background-color: rgba(255, 255, 255, 0.92); 
    text-align: center;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.profile-pic-container {
    display: none;
}

.profile-title {
    font-size: 1.6rem;  
    font-weight: 600;      
}

.highlight-title {
    display: block;
    padding-top: 1rem;    
    font-size: 4.2rem;     
    font-weight: 700;  
    line-height: 1;         
}

.tagline {        
    font-size: 1.1rem;     
    margin-top: -1rem;
                
}

/*ICONS*/

.icon {
    display: none;
    cursor: pointer;
    height: 2rem;
}

/*BUTTONS*/

.btn {
    font-weight: 600;
    padding: 0.8rem 1.1rem;
    transition: all 300ms ease;
    font-size: 0.875rem;
}

.btn-color-1 {
    border: var(--color-3) 0.1rem solid;
    background-color: var(--color-3);
    color: var(--color-4);
}

.btn-color-1:hover {
    background: hsl(84, 29%, 17%);
    border: var(--color-3) 0.1rem solid;
    cursor: pointer;
    text-decoration: line-through;
    transform: scale(0.97);
}

/*PROJECTS SECTION*/

.lg-project-container {
    min-height: fit-content;
    display: flex;
    flex-direction: column;
    gap: 4rem;
}

.sm-project-container {
    min-height: fit-content;
    display: flex;
    gap: 2rem;
}

.project-details-container {
    position: relative;
    display: flex;
    min-height: fit-content;
    overflow: hidden;    
}

.project-2 {
    flex-direction: row-reverse;
}

.project-info-container {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 1rem;
    width: 60%;
    min-height: fit-content;
    padding: 2rem;
    background-color: hsl(0, 0%, 100%);
    z-index: 10;
}

.project-img {
    display: block;
    width: 60%;
    height: auto;
    object-fit: cover;
    transition: all 1.5s cubic-bezier(0.2, 0, 0.2, 1);    
    transition-delay: 0.2s;   
}

.project-img.zoomed  {
    transform: scale(1.05);  
}

.lg-project-container
img {
    filter: saturate(0.8);
}

.project-title {    
    font-size: 2rem;
}

.sm-project-title {
    font-size: 1.5rem;
}

.sm-project-details-container {
    position: relative;
    width: 100%;
    min-height: fit-content;
    display: flex;
    overflow: hidden;
    background-color: #1b211209;
}

.sm-project-details-container img {
    width: 50%;
    height: auto;
    object-fit: cover;
}

.sm-project-details-container
.project-info-container {
    gap: 0.5rem;
    padding: 1.5rem;
    height: 100%;
}

.project-tag {
    display: flex;
    flex-wrap: wrap;
    gap: .5rem;    
    margin-bottom: 0.5rem;
}

.tag {   
    font-size: 0.875rem; 
    text-decoration: underline;
    text-underline-offset: 0.2rem;
    border-radius: 2rem;  
    opacity: 0.9;  
}

#projects {
    min-height: fit-content;
}

/*ABOUT SECTION*/

#about {    
    min-height: 80vh; /*distancia entre o about me e o lets work together */
}

#about p, 
#about li {
    line-height: 2; /* distancia entre linhas do texto de tragetory */
}

.about-section-container {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 10rem 0; /* distancia do about me completo do projetos */
}

.about-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    flex-wrap: wrap;
    padding: 2rem;
    width: 100%;
}

.about-profile-img {
    display: block;
    width: 100%;
    max-width: 300px;             /*IMAGEM DO ABOUT ME */
    height: auto;
    object-fit: cover;
    box-shadow: 0 0 5px rgba(0,0,0,0.15);
}

.about-details-container {
    width: 100%;
    max-width: 800px;
    font-size: 1rem;
    line-height: 1.6;
    text-align: left;
}


.topic {
    margin-bottom: 3rem; /* distancia do botão download cv */
}

.topic ul {
    list-style: none;
}

.topic-title {
    font-size: 1rem;
    font-weight: 900;    /* quantidade de negrito da palavra tragetory */
    padding-bottom: 6rem;    /* distancia do texto para o tragectory */
}

.topic li {
    padding-bottom: 0.2rem;
}

.topic strong {
    font-weight: inherit;
    text-decoration: underline;
    text-underline-offset: 0.2rem;
}

.download-cv-btn {
    display: flex;
    justify-content: flex-start;
    margin-top: 2rem;
  }
  
  .download-cv-btn a {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 0.4rem;
    font-weight: 700;
    font-size: 0.95rem;
    text-align: center;
  } 

/*CONTACT SECTION*/

#contact, 
#footer {
    position: relative;
    width: calc(100% + 12rem);
    margin-left: -6rem;
    margin-right: -6rem;
    background-color: var(--color-3); 
    color: var(--color-4); 
    
}

#contact {        
    min-height: 80vh;               
    padding: 2rem 2rem 0;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;
            
} 
.contact-container {
    display: flex;
    justify-content:  center;
    gap: 4rem;        
    align-items: center;
}

.contact-details-container {
    display: flex;
    flex-direction: column;
    border-left: 1px solid var(--background-color);
    padding-left: 1rem;
    gap: 1rem;          
}

.contact-section-title  {            
    text-align: right;
    font-size: 7rem;        
}

.contact-details {
    display: flex;        
    gap: 0.5rem;
}

.contact-details 
a {
    color: var(--color-4);        
}   

/*FOOTER*/

footer {    
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;  
    align-items: flex-end;  
    gap: 2rem;
    padding: 0 6rem 1.5rem; 
    margin-top: -1px;     
}

footer p {    
    font-size: 0.875rem;        
    opacity: 0.8;
    text-align: center;
}

.back-top-container a{
    display: flex;
    align-items: center;    
    background-color: var(--background-color);    
    padding: 0.5rem;
    min-width: 135px;
}

.back-top-container {
    color: var(--text-color-black);
}